#region Using Statements
using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;
#endregion

namespace Xenoflight.Entities.Litter
{
    class Asteroid : AnimatedSprite
    {
        public Asteroid(GameState gameState)
            : base(gameState)
        {
        }

        public new void Update(Microsoft.Xna.Framework.GameTime gameTime)
        {
            base.Update(gameTime);
        }

        public override float Mass
        {
            get
            {
				return 10000000;
            }
        }

        public override Physics2DDotNet.Shape CollisionShape
        {
            get
            {
                return new Physics2DDotNet.Polygon(Physics2DDotNet.Polygon.CreateRectangle(1, 1), Constants.physicsGridSize);
            }
        }
	}
}
