#region Using Statements
using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;
#endregion

namespace Xenoflight
{
    class GameState
    {
        public Game _game;
        public GraphicsDeviceManager _graphics;
        public Vector2 _drawLocation;
        public Map _map;

        public SpriteManager _spriteManager;

        public Physics2DDotNet.PhysicsEngine _physicsEngine;
        public Physics2DDotNet.Coefficients _physicsCoefficients;

		public int _tileWidth = 32;
		public int _tileHeight = 32;
		public float _timeScale = 1f;
    }
}
