#region Using Statements
using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;
#endregion

namespace Xenoflight
{
    static class Paths
    {
        public static string ApplicationStorage
        {
            get
            {
                return Microsoft.Xna.Framework.Storage.StorageContainer.TitleLocation;
            }
        }

        public static string Data
        {
            get
            {
                return ApplicationStorage + "\\Data";
            }
        }

        public static string Backgrounds
        {
            get
            {
                return Data + "\\Graphics\\Backgrounds";
            }
        }

        public static string Sprites
        {
            get
            {
                return Data + "\\Graphics\\Sprites";
            }
        }

        public static string Tiles
        {
            get
            {
                return Data + "\\Graphics\\Tiles";
            }
        }

        public static string Maps
        {
            get
            {
                return Data + "\\Maps";
            }
        }
    }
}
