#region Using Statements
using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;
#endregion

namespace Xenoflight
{
    struct MovementLimits
    {
        public float Speed;
        public float Acceleration;

        public MovementLimits(float Speed, float Acceleration)
        {
            this.Speed = Speed;
            this.Acceleration = Acceleration;
        }
    }

    interface SpaceVehicle
    {
        MovementLimits Forwards { get; }
        MovementLimits Backwards { get; }
        MovementLimits Up { get; }
        MovementLimits Down { get; }
    }
}
