#region Using Statements
using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;
#endregion

namespace Xenoflight.InputServices
{
    public enum InputControls
    {
        Up, Down, Left, Right, Fire1, Fire2, Menu, Select
    }

    public interface InputServiceProvider
    {
        bool IsKeyDown(InputControls control);
        bool IsKeyUp(InputControls control);
    }
}
