#region Using Statements
using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;
#endregion

namespace Xenoflight
{
    abstract class Ship : SpaceObject, SpaceVehicle
    {
        public Ship(GameState gameState)
            : base(gameState)
        {
        }

        public abstract MovementLimits Forwards { get; }
        public abstract MovementLimits Backwards { get; }
        public abstract MovementLimits Up { get; }
        public abstract MovementLimits Down { get; }

		public abstract override void Collided(SpaceObject so);
		public abstract override void Die();
    }
}
