#region Using Statements
using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;
#endregion

namespace Xenoflight
{
    struct Tile
    {
        public Tile(int x, int y, int graphic, bool solid)
        {
            this.x = x;
            this.y = y;
            this.graphic = graphic;
            this.solid = solid;
            this.texture = null;
        }

        public int x, y, graphic;
        public Microsoft.Xna.Framework.Graphics.Texture2D texture;
        public bool solid;
    }
}
